package org.tio.sitexxx.service.service.jpush.huawei.messaging;

import org.apache.http.client.HttpClient;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:53
 *    desc   :
 * </pre>
 */
public class ImplHuaweiTrampolines {
    private ImplHuaweiTrampolines() {}

    public static HuaweiCredential getCredential(HuaweiApp app) {
        return app.getOption().getCredential();
    }

    public static String getAccessToken(HuaweiApp app) {
        return app.getOption().getCredential().getAccessToken();
    }

    public static String getAppId(HuaweiApp app) {
        return app.getOption().getCredential().getAppId();
    }

    public static HttpClient getHttpClient(HuaweiApp app) {
        return app.getOption().getHttpClient();
    }

    public static <T extends HuaweiService> T getService(HuaweiApp app, String id, Class<T> type) {
        return type.cast(app.getService(id));
    }

    public static <T extends HuaweiService> T addService(HuaweiApp app, T service) {
        app.addService(service);
        return service;
    }

}
